//
// KickerHuhn - a little bit of action for your desktop's edge
// Copyright (C) 2001, 2002 Josef Spillner, dr_maux@users.sourceforge.net
// Published under GNU GPL conditions
//

#ifndef KICKERHUHN_CANVAS_H
#define KICKERHUHN_CANVAS_H

#include <qcanvas.h>
#include <qptrlist.h>

class Huhn;
class Missile;

class Canvas : public QCanvas
{
	Q_OBJECT
	public:
		Canvas(QObject *parent = NULL, const char *name = NULL);
		~Canvas();

		void create();

	public slots:
		void slotMouse(int x, int y, int fire);
		void slotLevel(int level);
		void slotBackground(QString background);

	protected:
		void timerEvent(QTimerEvent *e);

	private:
		QCanvasText *txt;
		QCanvasSprite *cross;
		QPtrList<Huhn> huhnlist;
		QPtrList<Missile> missiles;
		int m_score;
		int delay;
};

#endif

