//
// KickerHuhn - a little bit of action for your desktop's edge
// Copyright (C) 2001, 2002 Josef Spillner, dr_maux@users.sourceforge.net
// Published under GNU GPL conditions
//

#ifndef KICKERHUHN_GAME_H
#define KICKERHUHN_GAME_H

#include <qcanvas.h>
#include <qevent.h>

class QPopupMenu;

class Game : public QCanvasView
{
	Q_OBJECT
	public:
		Game(QCanvas *canvas, QWidget *parent = NULL, const char *name = NULL);
		~Game();

		void about();

	signals:
		void signalMouse(int x, int y, int fire);
		void signalLevel(int level);
		void signalBackground(QString background);

	protected:
		void mouseMoveEvent(QMouseEvent *e);
		void contentsMousePressEvent(QMouseEvent *e);

	private:
		QPopupMenu *menu;

		enum MenuItems
		{
			bg_forest,
			bg_desert,
			level_easy,
			level_medium,
			level_hard,
			about_about
		};

	private slots:
		void slotActivated(int id);
};

#endif

