//
// KickerHuhn - a little bit of action for your desktop's edge
// Copyright (C) 2001, 2002 Josef Spillner, dr_maux@users.sourceforge.net
// Published under GNU GPL conditions
//

#include "kickerhuhn.h"
#include "game.h"
#include "canvas.h"

#include <kglobal.h>
#include <klocale.h>

#include <qlayout.h>

KickerHuhn::KickerHuhn(const QString config, QWidget *parent)
: KPanelApplet(config, KPanelApplet::Normal, KPanelApplet::About, parent, "kickerhuhn")
{
	QVBoxLayout *vbox;
	Canvas *canvas;

	canvas = new Canvas(this, "kickerhuhncanvas");
	game = new Game(canvas, this, "kickerhuhngame");

	connect(game, SIGNAL(signalMouse(int, int, int)), canvas, SLOT(slotMouse(int, int, int)));
	connect(game, SIGNAL(signalLevel(int)), canvas, SLOT(slotLevel(int)));
	connect(game, SIGNAL(signalBackground(QString)), canvas, SLOT(slotBackground(QString)));

	vbox = new QVBoxLayout(this);
	vbox->add(game);

	show();
}

KickerHuhn::~KickerHuhn()
{
}

void KickerHuhn::about()
{
	game->about();
}

extern "C"
{
	KPanelApplet* init(QWidget *parent, const QString& configFile)
	{
		KGlobal::locale()->insertCatalogue("kickerhuhn");
		return new KickerHuhn(configFile, parent);
	}
}

